orcutt_tidiers {broom} | R Documentation

## Tidiers for Cochrane Orcutt object

### Description

Tidies a Cochrane Orcutt object, which estimates autocorrelation and beta coefficients. This function is not exported and would not typically be called directly: it is dispatched by `tidy.list` and `glance.list`.

### Usage

    tidy_orcutt(x, ...)

    glance_orcutt(x, ...)

### Arguments

`x` | A list returned by `cochrane.orcutt`
`...` | Extra arguments passed on to `tidy.summary.lm`

### Value

All tidying methods return a data.frame without rownames, whose structure depends on the method chosen.

`tidy` returns the same information as `tidy.lm`, though without confidence interval options.

`glance` returns the same one-row data frame as `glance.summary.lm`, along with columns `rho` and `number.interaction`.

### See Also

list_tidiers

### Examples

    reg <- lm(mpg ~ wt + qsec + disp, mtcars)
    tidy(reg)

    if (require("orcutt", quietly = TRUE)) {
      co <- cochrane.orcutt(reg)
      co

      tidy(co)
      glance(co)
    }

[Package broom version 0.4.1 Index]